<template lang="pug">
BaseAnimationGroup
  template(v-if="loading")
    .spinner-border.spinner-border-sm.text-dark.mr-2.mb-1(key='loading' role='status')
  template(v-else)
    i.fas.fa-check-circle.mx-1(v-if='!errorsCount && !warningsCount' key='ok')
    .badge.badge-danger.mx-1(v-if='errorsCount > 0' key='errors') {{ errorsCount }}
    .badge.badge-warning.mx-1(v-if='warningsCount > 0' key='warnings') {{ warningsCount }}
</template>

<script>

export { default } from './ErrorWarningCounts.vue.js';

</script>
